Bug 236064 - Controling audacious doesn't work
Controling audacious doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-xmms-plugin (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-11 15:13 EDT by Heiko Adams
Modified: 2009-01-09 02:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:05:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2007-04-11 15:13:32 EDT
Description of problem:
After installing the xmms plugin for xfce4 I wanted to try controling audacious.
But when trying to add the plugin to the panel a message "Cannot find any
supported media player. You have to install at least one player first." is shown

Version-Release number of selected component (if applicable):
xfce4-xmms-plugin.i386 0:0.5.1-1.fc6
audacious-plugins-1.2.5-2.fc6
audacious-plugins-nonfree-mp3-1.2.5-1.lvn6
audacious-1.2.2-2.fc6
audacious-libs-1.2.2-2.fc6

How reproducible:
allways

Steps to Reproduce:
1. Install XFCE's XMMS Plugin
2. Make shure audacious is installed
3. Try to add the plugin to the panel
  
Actual results:
Message "Cannot find any supported media player. You have to install at least
one player first."

Expected results:
The plugin should be added to the panel and audacious should be controlable
through the plugin
Comment 1 Christoph Wickert 2007-04-11 20:16:26 EDT
(In reply to comment #0)
> But when trying to add the plugin to the panel a message "Cannot find any
> supported media player. You have to install at least one player first." is shown

As I just realized you will need to install audacious-devel, otherwise
xmms-plugin wont find audacious. This is ether a bug in audacious packaging or
in the plugin's code. I'll have to investigate this further, thanks for the report.
Comment 2 Christoph Wickert 2007-04-11 21:38:40 EDT
You don't need to install audacious-devel:

$ cd /usr/lib
$ sudo ln -s libaudacious.so.4 libaudacious.so

libaudacious is correctly provided by the devel package, so the bug is in the
panel. The plugin needs to look for the versioned lib.

BTW: I think I just found a memory leak in xfce4-xmms-plugin. :(
Comment 3 Bug Zapper 2008-04-04 02:50:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Christoph Wickert 2008-04-14 19:07:07 EDT
Audacious >= 1.3 support is broken and now even XMMS is broken to. :( This code
is horribly outdated, I will try to fix XMMS or otherwise orphan this package.
For audacious it's not needed any longer since it ships with it's own tray icon
in the Xfce panel.
Comment 5 Jerry Amundson 2008-04-30 21:41:39 EDT
Nice to see I'm not the only sucker to fall for this one. I'll help if I can,
just point the way.
Comment 6 Bug Zapper 2008-11-26 02:13:43 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:05:57 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.